search.redirect.set
Set a search redirect (term -> path); upserts on the normalized term.
- Scope:
search.write - System: no
- Reachable from:
POST /v1/commands/search.redirect.set(tenant credential) · MCP toolsearch.redirect.set· SDKclient.call('search.redirect.set', …) - Events:
search.curation.updated
Input (JSON Schema)
Section titled “Input (JSON Schema)”{ "properties": { "path": { "minLength": 1, "pattern": "^\\/.*", "type": "string" }, "term": { "minLength": 1, "type": "string" } }, "required": [ "term", "path" ], "type": "object"}Result (200)
Section titled “Result (200)”{ "additionalProperties": false, "properties": { "redirect_id": { "type": "string" } }, "required": [ "redirect_id" ], "type": "object"}Errors
Section titled “Errors”validation_failed (400) · unauthorized (401) · forbidden (403) · conflict (409) · internal (500)